package com.module.pay.strategy

// 工厂类
object PaySendDataFactory {

    fun createStrategy(type: StrategyType): PaySendDataStrategy {
        return when (type) {
            StrategyType.MDB -> PaySendDataMDBStrategy
            StrategyType.ICT -> PaySendDataICTStrategy
        }

    }

}